## openldap 2.4.42+dfsg

=== contrib/slapd-modules/allowed/Makefile ===
# $OpenLDAP$
# This work is part of OpenLDAP Software <http://www.openldap.org/>.
#
# Copyright 1998-2015 The OpenLDAP Foundation.
# Copyright 2004 Howard Chu, Symas Corp. All Rights Reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted only as authorized by the OpenLDAP
# Public License.
#
# A copy of this license is available in the file LICENSE in the
# top-level directory of the distribution or, alternatively, at
# <http://www.OpenLDAP.org/license.html>.

LDAP_SRC = ../../..
LDAP_BUILD = $(LDAP_SRC)
LDAP_INC = -I$(LDAP_BUILD)/include -I$(LDAP_SRC)/include -I$(LDAP_SRC)/servers/slapd
LDAP_LIB = $(LDAP_BUILD)/libraries/libldap_r/libldap_r.la \
	$(LDAP_BUILD)/libraries/liblber/liblber.la

LIBTOOL = $(LDAP_BUILD)/libtool
CC = gcc
OPT = -g -O2 -Wall
DEFS = -DSLAPD_OVER_ALLOWED=SLAPD_MOD_DYNAMIC
INCS = $(LDAP_INC)
LIBS = $(LDAP_LIB)

PROGRAMS = allowed.la
LTVER = 0:0:0

prefix=/usr/local
exec_prefix=$(prefix)
ldap_subdir=/openldap

libdir=$(exec_prefix)/lib
libexecdir=$(exec_prefix)/libexec
moduledir = $(libexecdir)$(ldap_subdir)

.SUFFIXES: .c .o .lo

.c.lo:
	$(LIBTOOL) --mode=compile $(CC) $(OPT) $(DEFS) $(INCS) -c $<

all: $(PROGRAMS)

allowed.la: allowed.lo
	$(LIBTOOL) --mode=link $(CC) $(OPT) -version-info $(LTVER) \
	-rpath $(moduledir) -module -o $@ $? $(LIBS)

clean:
	rm -rf *.o *.lo *.la .libs

install: $(PROGRAMS)
	mkdir -p $(DESTDIR)$(moduledir)
	for p in $(PROGRAMS) ; do \
		$(LIBTOOL) --mode=install cp $$p $(DESTDIR)$(moduledir) ; \
	done

=== contrib/slapd-modules/comp_match/Makefile ===
# $OpenLDAP$
# This work is part of OpenLDAP Software <http://www.openldap.org/>.
#
# Copyright 2003-2015 The OpenLDAP Foundation.
# Portions Copyright 2004 by IBM Corporation.
# All rights reserved.

# Copyright 2004 Sang Seok Lim, IBM Corp. All Rights Reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted only as authorized by the OpenLDAP
# Public License.
#
# A copy of this license is available in the file LICENSE in the
# top-level directory of the distribution or, alternatively, at
# <http://www.OpenLDAP.org/license.html>.

LDAP_SRC = ../../..
LDAP_BUILD = $(LDAP_SRC)
LDAP_INC = -I$(LDAP_BUILD)/include -I$(LDAP_SRC)/include -I$(LDAP_SRC)/servers/slapd
LDAP_LIB = $(LDAP_BUILD)/libraries/libldap_r/libldap_r.la \
	$(LDAP_BUILD)/libraries/liblber/liblber.la

SNACC_DIR = ../$(LDAP_SRC)/snacc
SNACC_INC = -I$(SNACC_DIR) -I$(SNACC_DIR)/c-lib/inc
SNACC_LIB = $(SNACC_DIR)/c-lib/libcasn1.a

SSL_DIR = /usr/local
SSL_INC = -I$(SSL_DIR)/include/openssl
SSL_LIB = -lcrypto -L$(SSL_DIR)/lib

LIBTOOL = $(LDAP_BUILD)/libtool
CC = gcc
OPT = -g -O2 -Wall
DEFS = -DLDAP_COMPONENT
INCS = $(LDAP_INC) $(SNACC_INC) $(SSL_INC)
LIBS = $(LDAP_LIB) $(SNACC_LIB) $(SSL_LIB)

PROGRAMS = compmatch.la
LTVER = 0:0:0

prefix=/usr/local
exec_prefix=$(prefix)
ldap_subdir=/openldap

libdir=$(exec_prefix)/lib
libexecdir=$(exec_prefix)/libexec
moduledir = $(libexecdir)$(ldap_subdir)

.SUFFIXES: .c .o .lo

.c.lo:
	$(LIBTOOL) --mode=compile $(CC) $(OPT) $(DEFS) $(INCS) -c $<

all: $(PROGRAMS)

compmatch.la: componentlib.lo init.lo certificate.lo asn_to_syn_mr.lo authorityKeyIdentifier.lo crl.lo
	$(LIBTOOL) --mode=link $(CC) $(OPT) -version-info $(LTVER) \
	-rpath $(moduledir) -module -o $@ $? $(LIBS)

clean:
	rm -rf *.o *.lo *.la .libs

install: $(PROGRAMS)
	mkdir -p $(DESTDIR)$(moduledir)
	for p in $(PROGRAMS) ; do \
		$(LIBTOOL) --mode=install cp $$p $(DESTDIR)$(moduledir) ; \
	done

=== contrib/slapd-modules/nssov/Makefile ===
# $OpenLDAP$
# This work is part of OpenLDAP Software <http://www.openldap.org/>.
#
# Copyright 2008-2015 The OpenLDAP Foundation.
# Portions Copyright 2008 Howard Chu, Symas Corp. All Rights Reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted only as authorized by the OpenLDAP
# Public License.
#
# A copy of this license is available in the file LICENSE in the
# top-level directory of the distribution or, alternatively, at
# <http://www.OpenLDAP.org/license.html>.

# Path to the OpenLDAP source tree
LDAP_SRC=../../..

# Path to the OpenLDAP object tree - same as above unless
# you're doing out-of-tree builds.
LDAP_BUILD=$(LDAP_SRC)

LDAP_INC = -I$(LDAP_BUILD)/include -I$(LDAP_SRC)/include -I$(LDAP_SRC)/servers/slapd
LDAP_LIB = $(LDAP_BUILD)/libraries/libldap_r/libldap_r.la \
	$(LDAP_BUILD)/libraries/liblber/liblber.la

NLDAPD_INC=-Inss-pam-ldapd

LIBTOOL = $(LDAP_BUILD)/libtool
OPT = -g -O2 -Wall
CC = gcc
DEFS =
INCS = $(LDAP_INC) $(NLDAPD_INC)
LIBS = $(LDAP_LIB)

prefix=/usr/local
exec_prefix=$(prefix)
ldap_subdir=/openldap

libdir=$(exec_prefix)/lib
libexecdir=$(exec_prefix)/libexec
moduledir = $(libexecdir)$(ldap_subdir)
sysconfdir = $(prefix)/etc$(ldap_subdir)
schemadir = $(sysconfdir)/schema

all:	nssov.la

XOBJS = tio.lo

OBJS = alias.lo ether.lo group.lo host.lo netgroup.lo network.lo \
	nssov.lo passwd.lo protocol.lo rpc.lo service.lo shadow.lo pam.lo

.SUFFIXES: .c .o .lo

.c.lo:
	$(LIBTOOL) --mode=compile $(CC) $(OPT) $(DEFS) $(INCS) -c $<

tio.lo:	nss-pam-ldapd/tio.c
	$(LIBTOOL) --mode=compile $(CC) $(OPT) $(DEFS) $(INCS) -c $?

$(OBJS):	nssov.h

nssov.la:	$(OBJS) $(XOBJS)
	$(LIBTOOL) --mode=link $(CC) $(OPT) -version-info 0:0:0 \
	-rpath $(moduledir) -module -o $@ $(OBJS) $(XOBJS) $(LIBS)

install: nssov.la
	mkdir -p $(DESTDIR)$(moduledir)
	$(LIBTOOL) --mode=install cp nssov.la $(DESTDIR)$(moduledir)
	cp ldapns.schema $(DESTDIR)$(schemadir)

clean:
	rm -f *.*o *.la .libs/*
	rm -rf .libs

=== contrib/slapd-modules/passwd/Makefile ===
# $OpenLDAP$

LDAP_SRC = ../../..
LDAP_BUILD = $(LDAP_SRC)
LDAP_INC = -I$(LDAP_BUILD)/include -I$(LDAP_SRC)/include -I$(LDAP_SRC)/servers/slapd
LDAP_LIB = $(LDAP_BUILD)/libraries/libldap_r/libldap_r.la \
	$(LDAP_BUILD)/libraries/liblber/liblber.la

LIBTOOL = $(LDAP_BUILD)/libtool
CC = gcc
OPT = -g -O2 -Wall
DEFS = 
INCS = $(LDAP_INC)
LIBS = $(LDAP_LIB)

PROGRAMS = pw-kerberos.la pw-netscape.la pw-radius.la pw-apr1.la
LTVER = 0:0:0

prefix=/usr/local
exec_prefix=$(prefix)
ldap_subdir=/openldap

libdir=$(exec_prefix)/lib
libexecdir=$(exec_prefix)/libexec
moduledir = $(libexecdir)$(ldap_subdir)

.SUFFIXES: .c .o .lo

.c.lo:
	$(LIBTOOL) --mode=compile $(CC) $(OPT) $(DEFS) $(INCS) -c $<

all: $(PROGRAMS)

pw-kerberos.la:	kerberos.lo
	$(LIBTOOL) --mode=link $(CC) $(OPT) -version-info $(LTVER) \
	-rpath $(moduledir) -module -o $@ $? -lkrb5

pw-netscape.la:	netscape.lo
	$(LIBTOOL) --mode=link $(CC) $(OPT) -version-info $(LTVER) \
	-rpath $(moduledir) -module -o $@ $?

pw-radius.la:	radius.lo
	$(LIBTOOL) --mode=link $(CC) $(OPT) -version-info $(LTVER) \
	-rpath $(moduledir) -module -o $@ $? -lradius

pw-apr1.la:	apr1.lo
	$(LIBTOOL) --mode=link $(CC) $(OPT) -version-info $(LTVER) \
	-rpath $(moduledir) -module -o $@ $?

clean:
	rm -rf *.o *.lo *.la .libs

install: $(PROGRAMS)
	mkdir -p $(DESTDIR)$(moduledir)
	for p in $(PROGRAMS) ; do \
		$(LIBTOOL) --mode=install cp $$p $(DESTDIR)$(moduledir) ; \
	done

=== contrib/slapd-modules/samba4/Makefile ===
# $OpenLDAP$
# This work is part of OpenLDAP Software <http://www.openldap.org/>.
#
# Copyright 1998-2015 The OpenLDAP Foundation.
# Copyright 2004 Howard Chu, Symas Corp. All Rights Reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted only as authorized by the OpenLDAP
# Public License.
#
# A copy of this license is available in the file LICENSE in the
# top-level directory of the distribution or, alternatively, at
# <http://www.OpenLDAP.org/license.html>.

LDAP_SRC = ../../..
LDAP_BUILD = $(LDAP_SRC)
LDAP_INC = -I$(LDAP_BUILD)/include -I$(LDAP_SRC)/include -I$(LDAP_SRC)/servers/slapd
LDAP_LIB = $(LDAP_BUILD)/libraries/libldap_r/libldap_r.la \
	$(LDAP_BUILD)/libraries/liblber/liblber.la

LIBTOOL = $(LDAP_BUILD)/libtool
CC = gcc
OPT = -g -O2 -Wall
DEFS = -DSLAPD_OVER_RDNVAL=SLAPD_MOD_DYNAMIC \
	-DSLAPD_OVER_PGUID=SLAPD_MOD_DYNAMIC \
	-DSLAPD_OVER_VERNUM=SLAPD_MOD_DYNAMIC
INCS = $(LDAP_INC)
LIBS = $(LDAP_LIB)

PROGRAMS = pguid.la rdnval.la vernum.la
LTVER = 0:0:0

prefix=/usr/local
exec_prefix=$(prefix)
ldap_subdir=/openldap

libdir=$(exec_prefix)/lib
libexecdir=$(exec_prefix)/libexec
moduledir = $(libexecdir)$(ldap_subdir)

.SUFFIXES: .c .o .lo

.c.lo:
	$(LIBTOOL) --mode=compile $(CC) $(OPT) $(DEFS) $(INCS) -c $<

all: $(PROGRAMS)

pguid.la: pguid.lo
	$(LIBTOOL) --mode=link $(CC) $(OPT) -version-info $(LTVER) \
	-rpath $(moduledir) -module -o $@ $? $(LIBS)

rdnval.la: rdnval.lo
	$(LIBTOOL) --mode=link $(CC) $(OPT) -version-info $(LTVER) \
	-rpath $(moduledir) -module -o $@ $? $(LIBS)

vernum.la: vernum.lo
	$(LIBTOOL) --mode=link $(CC) $(OPT) -version-info $(LTVER) \
	-rpath $(moduledir) -module -o $@ $? $(LIBS)

clean:
	rm -rf *.o *.lo *.la .libs

install: $(PROGRAMS)
	mkdir -p $(DESTDIR)$(moduledir)
	for p in $(PROGRAMS) ; do \
		$(LIBTOOL) --mode=install cp $$p $(DESTDIR)$(moduledir) ; \
	done

=== servers/slapd/back-sql/rdbms_depend/timesten/dnreverse/Makefile ===
## Copyright 1997-2015 The OpenLDAP Foundation, All Rights Reserved.
##  COPYING RESTRICTIONS APPLY, see COPYRIGHT file

#
# Build TimesTen ODBC Sample Programs for Solaris 2.5.1.
# (c) Copyright 1996-1998, TimesTen Performance Software.
# All rights reserved.
## Note: This file was contributed by Sam Drake of TimesTen Performance
##       Software for use and redistribution as an intregal part of
##       OpenLDAP Software.  -Kdz

CPLUSPLUS = CC
TTCLASSES = ../../../../../../../../../cs/classes
ODBC	=	/opt/TimesTen4.1/32
CFLAGS	=	-g -I$(ODBC)/include -I. -I$(TTCLASSES) -DUNIX
LDFLAGS	=	-g
DIRLIBS	=	$(TTCLASSES)/ttclasses.a -L $(ODBC)/lib -R $(ODBC)/lib -ltten -lpthread -lm -lrt
XLALIB  =       -L $(ODBC)/lib -lxla

DIRPROGS=	dnreverse 

DNREVERSE=	dnreverse.o

#
#	Top-level targets
#

all:		$(DIRPROGS)

direct:		$(DIRPROGS)

clean:          
		rm -rf $(DIRPROGS) *.o


#
#	Direct-linked programs
#

dnreverse:	$(DNREVERSE)
		$(CPLUSPLUS) -o dnreverse $(LDFLAGS) $(DNREVERSE) $(DIRLIBS) $(XLALIB)

#
#	.o files
#

dnreverse.o:	dnreverse.cpp
		$(CPLUSPLUS) $(CFLAGS) -c dnreverse.cpp

=== debian/changelog ===
openldap (2.4.42+dfsg-2ubuntu3) xenial; urgency=medium

  * Fix building with gssapi suppport:
    - Explicitly add -I/usr/include/heimdal to CFLAGS.
    - Explicitly add -I/usr/lib/<multiarch>/heimdal to LDFLAGS.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 Feb 2016 09:17:27 +0100

openldap (2.4.42+dfsg-2ubuntu2) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 22:27:04 +0000

openldap (2.4.42+dfsg-2ubuntu1) xenial; urgency=medium

  * Merge from Debian testing (LP: #1532648). Remaining changes:
    - Enable AppArmor support:
      - d/apparmor-profile: add AppArmor profile
      - d/rules: use dh_apparmor
      - d/control: Build-Depends on dh-apparmor
      - d/slapd.README.Debian: add note about AppArmor
    - Enable GSSAPI support:
      - d/patches/gssapi.diff, thanks to Jerry Carter (Likewise):
        - Add --with-gssapi support
        - Make guess_service_principal() more robust when determining
          principal
      - d/configure.options: Configure with --with-gssapi
      - d/control: Added heimdal-dev as a build depend
    - Enable ufw support:
      - d/control: suggest ufw.
      - d/rules: install ufw profile.
      - d/slapd.ufw.profile: add ufw profile.
    - Enable nss overlay:
      - d/{patches/nssov-build,rules}: Apply, build and package the
        nss overlay.
    - d/{rules,slapd.py}: Add apport hook.
    - d/slapd.init.ldif: don't set olcRootDN since it's not defined in
      either the default DIT nor via an Authn mapping.
    - d/slapd.scripts-common:
      - add slapcat_opts to local variables.
      - Remove unused variable new_conf.
      - Fix backup directory naming for multiple reconfiguration.
    - d/{slapd.default,slapd.README.Debian}: use the new configuration style.
    - d/rules: Enable -DLDAP_CONNECTIONLESS to build CLDAP (UDP) support
      in the openldap library, as required by Likewise-Open
    - Show distribution in version:
      - d/control: added lsb-release
      - d/patches/fix-ldap-distribution.patch: show distribution in version
  * Drop CVE-2015-6908.patch, included in Debian.
  * Remove DEB_HOST_ARCH from debian/rules: left over from when mdb was 
    disabled on ppc64el, no longer used, and missed in the previous merge.

 -- Ryan Tandy <ryan@nardis.ca>  Sun, 10 Jan 2016 15:50:53 -0800

openldap (2.4.42+dfsg-2) unstable; urgency=medium

  [ Ryan Tandy ]
  * Change explicit Pre-Depends: multiarch-support to ${misc:Pre-Depends}, as 
    recommended by lintian.
  * Omit slapd, slapd-dbg, and slapd-smbk5pwd from the stage1 build profile. 
    This allows the dependency loop with heimdal to be broken for 
    bootstrapping, and the dependency on libperl-dev to be avoided for 
    cross-building. Thanks Daniel Schepler and Helmut Grohne.
    (Closes: #724518)
  * Apply wrap-and-sort to the Build-Depends field.
  * Drop libncurses5-dev from Build-Depends, no longer needed since the ud 
    tool was removed in OpenLDAP 2.1.4.
  * Drop libltdl3-dev as an alternate Build-Depends, since that package was 
    removed after lenny.
  * Annotate Build-Depends on perl with :any to allow running the system perl 
    interpreter during cross builds.
  * Ensure CC is set correctly for cross builds. Thanks Helmut Grohne.
  * Build-Depend on dpkg-dev (>= 1.17.14) and debhelper (>= 9.20141010) for 
    restriction formula support.
  * Override the 'dev-pkg-without-shlib-symlink' lintian tag. The symlink is 
    actually in the form libldap_r.so -> libldap_r-2.4.so.xyz and the tag is a 
    false positive; see #687022.
  * Include the smbk5pwd man page in the slapd-smbk5pwd package.
  * Allow anonymous read access to the shadowLastChange attribute by default, 
    allowing nss-ldap/nss-ldapd to handle password expiry correctly even when 
    bound anonymously. This was the only restricted shadow attribute, the 
    others were already world-readable. (Closes: #669235)
  * Drop the redundant default ACL for dn.base="" from the database entry. 
    It's already covered by the fallback case below.
  * Copy more comments from the slapd.conf template to slapd.init.ldif. Also 
    comment the shadowLastChange access rule.
  * Import upstream patch to remove an unnecessary assert(0) that could be 
    triggered remotely by an unauthenticated user by sending a malformed BER 
    element. (ITS#8240)

  [ Peter Marschall ]
  * Add a manual page slapo-smbk5pwd.5 and update smbk5pwd's Makefile to 
    install the new manual page. (Closes: #794998)

 -- Ryan Tandy <ryan@nardis.ca>  Thu, 10 Sep 2015 20:13:17 -0700

openldap (2.4.42+dfsg-1) unstable; urgency=medium

  [ Peter Marschall ]
  * slapd.scripts-common:
    - Use update_permissions instead of direct calls to chown and chgrp.
    - Make variables only used within a function local to that function.
    - Restore databases ordered by increasing suffix path length.
      This should help configurations with databases glued together using the
      'subordinate' keyword / 'olcSubordinate' attribute in slapd's
      configuration.
    (Closes: #794996)
  * Install slapo-lastbind.5 man page. (Closes: #794997)

  [ Ryan Tandy ]
  * slapd.scripts-common: Delete an outdated comment.
  * New upstream release.
  * Enable the MDB backend again on GNU/kFreeBSD. The new pthread library 
    provides all the required interfaces, and the test suite now passes.
    Leave it disabled on the Hurd. LMDB requires POSIX semaphores, which have 
    not yet been implemented.
  * Disable the BDB/HDB backends on the Hurd. BDB requires record locks 
    (F_SETLK), which have not yet been implemented; see #693971.

 -- Ryan Tandy <ryan@nardis.ca>  Fri, 21 Aug 2015 13:07:51 -0700

openldap (2.4.41+dfsg-1ubuntu3) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Dec 2015 15:10:17 +0000

=== debian/control ===
Source: openldap
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
Uploaders: Roland Bauerschmidt <rb@debian.org>,
 Steve Langasek <vorlon@debian.org>,
 Torsten Landschoff <torsten@debian.org>,
 Matthijs Möhlmann <matthijs@cacholong.nl>,
 Timo Aaltonen <tjaalton@ubuntu.com>,
 Ryan Tandy <ryan@nardis.ca>
Build-Depends: debhelper (>= 9.20141010),
               dh-apparmor,
               dh-autoreconf,
               dpkg-dev (>= 1.17.14),
               groff-base,
               heimdal-dev <!stage1>,
               libdb5.3-dev <!stage1>,
               libgnutls28-dev,
               libltdl-dev <!stage1>,
               libperl-dev (>= 5.8.0) <!stage1>,
               libsasl2-dev,
               libslp-dev <!stage1>,
               libwrap0-dev <!stage1>,
               lsb-release,
               nettle-dev <!stage1>,
               perl:any,
               po-debconf,
               time <!stage1>,
               unixodbc-dev <!stage1>
Build-Conflicts: libbind-dev, bind-dev, libicu-dev, autoconf2.13
Standards-Version: 3.9.6
Homepage: http://www.openldap.org/
Vcs-Git: git://anonscm.debian.org/pkg-openldap/openldap.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-openldap/openldap.git

Package: slapd
Section: net
Priority: optional
Architecture: any
Build-Profiles: <!stage1>
Pre-Depends: debconf (>= 0.5) | debconf-2.0, ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, libldap-2.4-2 (= ${binary:Version}),
 coreutils (>= 4.5.1-1), psmisc, perl (>> 5.8.0) | libmime-base64-perl,
 adduser, lsb-base (>= 3.2-13), ${misc:Depends}
Recommends: libsasl2-modules
Suggests: ldap-utils, ufw,
 libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
Conflicts: umich-ldapd, ldap-server, libltdl3 (= 1.5.4-1)
Replaces: libldap2, ldap-utils (<< 2.2.23-3)
Provides: ldap-server, ${slapd:Provides}
Description: OpenLDAP server (slapd)
 This is the OpenLDAP (Lightweight Directory Access Protocol) server
 (slapd). The server can be used to provide a standalone directory
 service.

Package: slapd-smbk5pwd
Section: net
Priority: extra
Architecture: any
Build-Profiles: <!stage1>
Depends: slapd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Keeps Samba and Kerberos passwords in sync within slapd.
 Extends the PasswordModify Extended Operation to update Kerberos keys
 and Samba password hashes for an LDAP user. The Kerberos support is
 written for Heimdal using its hdb-ldap backend. The Samba support is
 written using the Samba 3.0 LDAP schema.

Package: ldap-utils
Section: net
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, libldap-2.4-2 (= ${binary:Version}), ${misc:Depends}
Recommends: libsasl2-modules
Suggests: libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
Conflicts: umich-ldap-utils, openldap-utils, ldap-client
Replaces: openldap-utils, slapd (<< 2.2.23-0.pre6), openldapd
Provides: ldap-client, openldap-utils
Description: OpenLDAP utilities
 This package provides utilities from the OpenLDAP (Lightweight
 Directory Access Protocol) package. These utilities can access a
 local or remote LDAP server and contain all the client programs
 required to access LDAP servers.

Package: libldap-2.4-2
Section: libs
Priority: standard
Architecture: any
Multi-Arch: same
Conflicts: ldap-utils (<= 2.1.23-1)
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libldap2, libldap-2.3-0
Description: OpenLDAP libraries 
 These are the run-time libraries for the OpenLDAP (Lightweight Directory
 Access Protocol) servers and clients.

Package: libldap-2.4-2-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libldap-2.4-2 (= ${binary:Version}), ${misc:Depends}
Description: Debugging information for OpenLDAP libraries
 This package provides detached debugging information for the OpenLDAP
 (Lightweight Directory Access Protocol) libraries. It is useful
 primarily to permit better backtraces and crash dump analysis after
 problems with the libraries. GDB will find this debug information
 automatically.

Package: libldap2-dev
Section: libdevel
Priority: extra
Architecture: any
Multi-Arch: same
Conflicts: libldap-dev, libopenldap-dev
Replaces: libopenldap-dev
Provides: libldap-dev
Depends: libldap-2.4-2 (= ${binary:Version}), ${misc:Depends}
Description: OpenLDAP development libraries
 This package allows development of LDAP applications using the OpenLDAP
 libraries. It includes headers, libraries and links to allow static and
 dynamic linking.

Package: slapd-dbg
Section: debug
Priority: extra
Architecture: any
Build-Profiles: <!stage1>
Depends: slapd (= ${binary:Version}), ${misc:Depends}
Description: Debugging information for the OpenLDAP server (slapd)
 This package provides detached debugging information for the OpenLDAP
 (Lightweight Directory Access Protocol) server (slapd). It is useful
 primarily to permit better backtraces and crash dump analysis after
 problems with the libraries. GDB will find this debug information
 automatically.

=== debian/rules ===
#!/usr/bin/make -f

# Set this variable if you're building packages outside of Debian and don't
# want the checks for DFSG-freeness.
#DFSG_NONFREE = 1

export DEB_CFLAGS_MAINT_APPEND := -Wall -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DLDAP_CONNECTIONLESS -I/usr/include/heimdal
export DEB_LDFLAGS_MAINT_APPEND := -L/usr/lib/$(DEB_HOST_MULTIARCH)/heimdal
export DEB_BUILD_MAINT_OPTIONS := hardening=+pie,+bindnow

# Workaround for bad glibc behavior when resolving localhost
export RESOLV_MULTI = off

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

CONFIG		= $(shell grep -v "^\#" debian/configure.options)
ifeq ($(DEB_HOST_ARCH_OS),hurd)
	CONFIG += --disable-bdb --disable-hdb --disable-mdb
endif
ifneq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
	# --disable-slapd should imply --disable-slp, ITS#8224
	CONFIG += --disable-slapd --disable-slp
endif

# Ensure CC is set correctly for cross builds, unless it has already 
# been set explicitly.
ifeq ($(origin CC),default)
	export CC := $(DEB_HOST_GNU_TYPE)-gcc
endif

installdir	:= $(CURDIR)/debian/tmp
builddir	:= $(CURDIR)/debian/build
slapddir	:= $(CURDIR)/debian/slapd/usr/sbin

MAKEVARS	:= STRIP=

# These variables are used only by get-orig-source, which will normally only
# be run by maintainers.
VERSION = $(shell dpkg-parsechangelog |grep Version| sed 's/.*: //;s/\+dfsg//;s/-.*//')
URL     = http://www.openldap.org/software/download/OpenLDAP/openldap-release/

# Download the upstream source and make changes as required for DFSG reasons.
# Assumes wget is available, as this is generally only used by the package
# maintainers.
get-orig-source:
	@if [ ! -d "debian/schema" ] ; then \
	    echo 'Run this from the top directory of the Debian source' >&2; \
	    exit 1; \
	fi
	wget $(URL)/openldap-$(VERSION).tgz
	tar xzf openldap-$(VERSION).tgz
	rm -r openldap-$(VERSION)/doc/drafts
	rm -r openldap-$(VERSION)/doc/rfc
	set -e; for schema in debian/schema/*.schema debian/schema/*.ldif ; do \
	    file=`basename "$$schema"`; \
	    rm openldap-$(VERSION)/servers/slapd/schema/$$file; \
	done
	mv openldap-$(VERSION) openldap-$(VERSION)+dfsg
	tar cf openldap_$(VERSION)+dfsg.orig.tar openldap-$(VERSION)+dfsg
	rm -r openldap-$(VERSION)+dfsg
	gzip -9 openldap_$(VERSION)+dfsg.orig.tar

%:
	dh $@ --with autoreconf --builddirectory=$(builddir) --parallel

# Only contrib/ldapc++ uses Automake, so special care is needed to update
# config.guess and config.sub at the top level.
autoreconf:
	autoreconf -f -i . contrib/ldapc++
	cp -f /usr/share/misc/config.guess /usr/share/misc/config.sub build/

override_dh_autoreconf:
	dh_autoreconf debian/rules -- autoreconf

override_dh_auto_configure:
	# Check if we include the RFCs, Internet-Drafts, or upstream schemas
	# with RFC text (which are non DFSG-free).  You can set DFSG_NONFREE
	# to build the packages from the unchanged upstream sources but Debian
	# can not ship the RFCs in main so this test is here to make sure it
	# does not get in by accident again. -- Torsten
	if [ -z "$(DFSG_NONFREE)" ]; then \
	    if [ -e doc/drafts ] || [ -e doc/rfc ]; then exit 1; fi; \
	    if [ -e servers/slapd/schema/core.schema ] \
	       && grep -q 'RFC 4519 definition' servers/slapd/schema/core.schema; \
	    then \
		exit 1; \
	    fi; \
	fi

	# Copy our stripped schema versions into where upstream expects them.
	if [ -z "$(DFSG_NONFREE)" ]; then \
		cp debian/schema/*.schema debian/schema/*.ldif \
			servers/slapd/schema/; \
	fi

	dh_auto_configure -- $(CONFIG)

override_dh_auto_build:
	dh_auto_build -- $(MAKEVARS)
ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
	$(MAKE) -C contrib/slapd-modules/smbk5pwd
	$(MAKE) -C contrib/slapd-modules/nssov/ $(MAKEVARS) nssov.la
	$(MAKE) -C contrib/slapd-modules/autogroup
	$(MAKE) -C contrib/slapd-modules/lastbind
	$(MAKE) -C contrib/slapd-modules/passwd/sha2
endif

override_dh_auto_install:
	dh_auto_install -- $(MAKEVARS)
ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
	$(MAKE) -C contrib/slapd-modules/smbk5pwd install DESTDIR=$(installdir)
	$(MAKE) -C contrib/slapd-modules/nssov install DESTDIR=$(installdir)
	$(MAKE) -C contrib/slapd-modules/autogroup install DESTDIR=$(installdir)
	$(MAKE) -C contrib/slapd-modules/lastbind install DESTDIR=$(installdir)
	$(MAKE) -C contrib/slapd-modules/passwd/sha2 install DESTDIR=$(installdir)

	# Empty the dependency_libs file in the .la files.
	for F in $(installdir)/usr/lib/ldap/*.la; do \
		sed -i "s/^dependency_libs=.*/dependency_libs=''/" $$F; \
	done
endif
	
	# Check all built libraries for unresolved symbols except for the
	# libslapi library.  It is a special case since the SLAPI interface
	# depends on symbols defined in slapd itself.  Those symbols will
	# remain unresolved until the plugin is loaded into slapd.
	for F in $(installdir)/usr/lib/$(DEB_HOST_MULTIARCH)/*.so.*.*.*; do \
	    if echo "$$F" | grep -q libslapi ; then \
	        continue; \
	    fi; \
	    if LD_LIBRARY_PATH=$(installdir)/usr/lib/$(DEB_HOST_MULTIARCH) ldd -d -r $$F 2>&1 | grep '^undefined symbol:'; then \
	        echo; \
	        echo "library $$F has undefined references.  Please fix this before continuing."; \
		exit 1; \
	    fi; \
	done

	# Upstream installs schema files in mode 0444 - policy wants 0644
	find $(installdir)/etc -type f|xargs chmod 0644
	# Upstream manpages are section 8C but installed as section 8
	find $(installdir)/usr/share/man -name \*.8 \
		| xargs perl -pi -e 's#(\.TH \w+ 8)C#$$1#'

ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/slapd/usr/lib/ldap/smbk5pwd*
	chmod 0755 $(CURDIR)/debian/slapd/usr/share/slapd/ldiftopasswd
endif

	# install AppArmor profile
	install -D -m 644 $(CURDIR)/debian/apparmor-profile $(CURDIR)/debian/slapd/etc/apparmor.d/usr.sbin.slapd

	# install ufw profile
	install -D -m 644 $(CURDIR)/debian/slapd.ufw.profile $(CURDIR)/debian/slapd/etc/ufw/applications.d/slapd

	dh_apparmor -pslapd --profile-name=usr.sbin.slapd

override_dh_installinit:
	dh_installinit -- "defaults 19 80"

ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
override_dh_installman:
	dh_installman
	rm -f $(CURDIR)/debian/slapd/usr/share/man/man5/slapo-smbk5pwd.*
endif

override_dh_strip:
	dh_strip -plibldap-2.4-2 --dbg-package=libldap-2.4-2-dbg
ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
	dh_strip -pslapd --dbg-package=slapd-dbg
endif
	dh_strip -Nlibldap-2.4-2 -Nslapd
ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
	# hardlink these so not confined by apparmor; do this here and not
	# in dh_link so that dh_strip doesn't get confused and put the wrong
	# binary in the debug package.
	for f in slapacl slapadd slapauth slapcat slapdn slapindex slappasswd slaptest slapschema ; do \
	    ln -f $(slapddir)/slapd $(slapddir)/$$f ; \
	done
endif

override_dh_link:
	for pkg in libldap2-dev libldap-2.4-2; do \
		sed -e"s/\$${DEB_HOST_MULTIARCH}/$(DEB_HOST_MULTIARCH)/g" < debian/$$pkg.links.in > debian/$$pkg.links; \
	done
	dh_link

override_dh_makeshlibs:
	# ideally we would do this and not have any libldap-2.4.so.2 links
	# at all, but that requires adjusting the build scripts first to
	# link against libldap_r, otherwise dh_shlibdeps fails
	#dh_makeshlibs -plibldap-2.4-2 -V 'libldap-2.4-2 (>= 2.4.7)'
	mkdir -p debian/libldap-2.4-2/DEBIAN
	cp -p debian/libldap-2.4-2.shlibs debian/libldap-2.4-2/DEBIAN/shlibs
	dpkg-gensymbols -plibldap-2.4-2 -Pdebian/libldap-2.4-2
ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
	echo "slapd:Provides=$$(objdump -p debian/slapd/usr/lib/$(DEB_HOST_MULTIARCH)/libslapi-*.so.* \
		| sed -ne '/SONAME/ { s/[[:space:]]*SONAME[[:space:]]*//; \
		                      s/\.so\./-/; p; q }' \
	)" >> debian/slapd.substvars
	dh_makeshlibs -pslapd -X/usr/lib/ldap/ -V "$$(sed -ne's/slapd:Provides=//p' debian/slapd.substvars)"
endif

ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
override_dh_installdeb:
	dh_installdeb

=== debian/watch ===
# debian/watch -- Rules for uscan to find new upstream versions.

version=3
opts=dversionmangle=s/\+dfsg// \
http://www.openldap.org/software/download/ \
    (?:.*/)?openldap-?_?([\d+\.]+)\.tgz

## openldap 2.4.44+dfsg

=== contrib/slapd-modules/nssov/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # $OpenLDAP$
 # This work is part of OpenLDAP Software <http://www.openldap.org/>.
 #
-# Copyright 2008-2015 The OpenLDAP Foundation.
+# Copyright 2008-2016 The OpenLDAP Foundation.
 # Portions Copyright 2008 Howard Chu, Symas Corp. All Rights Reserved.
 #
 # Redistribution and use in source and binary forms, with or without

=== doc/guide/admin/Makefile ===
## Makefile for OpenLDAP Administrator's Guide
# $OpenLDAP$
## This work is part of OpenLDAP Software <http://www.openldap.org/>.
##
## Copyright 2005-2016 The OpenLDAP Foundation.
## All rights reserved.
##
## Redistribution and use in source and binary forms, with or without
## modification, are permitted only as authorized by the OpenLDAP
## Public License.
##
## A copy of this license is available in the file LICENSE in the
## top-level directory of the distribution or, alternatively, at
## <http://www.OpenLDAP.org/license.html>.
all: guide.html index.html

# for website building (for webmaster use, don't change)
www: guide.html index.html OpenLDAP-Admin-Guide.pdf

sdf-src: \
	../plain.sdf \
	../preamble.sdf \
	abstract.sdf \
	access-control.sdf \
	appendix-changes.sdf \
	appendix-common-errors.sdf \
	appendix-configs.sdf \
	appendix-contrib.sdf \
	appendix-deployments.sdf \
	appendix-ldap-result-codes.sdf \
	appendix-recommended-versions.sdf \
	appendix-upgrading.sdf \
	backends.sdf \
	config.sdf \
	dbtools.sdf \
	glossary.sdf \
	guide.sdf \
	install.sdf \
	intro.sdf \
	maintenance.sdf \
	master.sdf \
	monitoringslapd.sdf \
	overlays.sdf \
	preface.sdf \
	quickstart.sdf \
	referrals.sdf \
	replication.sdf \
	runningslapd.sdf \
	sasl.sdf \
	schema.sdf \
	security.sdf \
	slapdconfig.sdf \
	title.sdf \
	tls.sdf \
	troubleshooting.sdf \
	tuning.sdf

sdf-img: \
	../images/LDAPlogo.gif \
	allmail-en.png \
	allusersgroup-en.png \
	config_dit.png \
	config_local.png \
	config_ref.png \
	config_repl.png \
	delta-syncrepl.png \
	dual_dc.png \
	intro_dctree.png \
	intro_tree.png \
	ldap-sync-refreshandpersist.png \
	ldap-sync-refreshonly.png \
	n-way-multi-master.png \
	push-based-complete.png \
	push-based-standalone.png \
	refint.png \
	set-following-references.png \
	set-memberUid.png \
	set-recursivegroup.png 

guide.html: guide.sdf sdf-src sdf-img
	sdf -2html guide.sdf

index.html: index.sdf sdf-src sdf-img
	sdf -2topics index.sdf

admin.html: admin.sdf sdf-src sdf-img
	sdf -DPDF -2html admin.sdf

guide.pdf: admin.html guide.book
	htmldoc --batch guide.book -f guide.pdf

OpenLDAP-Admin-Guide.pdf: admin.html guide.book
	htmldoc --batch guide.book -f OpenLDAP-Admin-Guide.pdf

clean: 
	rm -f *.pdf *.html *~ *.bak

=== debian/changelog ===
openldap (2.4.44+dfsg-5+deb9u1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Ryan Tandy <ryan@nardis.ca>  Sun, 08 Oct 2017 17:26:10 -0700

openldap (2.4.44+dfsg-5+deb9u1) stretch; urgency=medium

  * Relax the dependency of libldap-2.4-2 on libldap-common to also permit 
    later versions. (Closes: #860774)
  * Disable test060-mt-hot on ppc64el temporarily to avoid failing tests until 
    the underlying kernel bug #866122 is fixed.
  * Fix upgrade failure when olcSuffix contains a backslash. (Closes: #864719)
  * Import upstream patch to avoid reading the value of the 
    LDAP_OPT_X_TLS_REQUIRE_CERT option from previously freed memory. 
    (ITS#8385) (Closes: #820244)
  * Import upstream patch to fix potential endless replication loop in a 
    multi-master delta-syncrepl scenario with 3 or more nodes.
    (ITS#8432) (Closes: #868753)
  * Import upstream patches to fix memory corruption caused by calling 
    sasl_client_init() multiple times and possibly concurrently.
    (ITS#8648) (Closes: #860947)

 -- Ryan Tandy <ryan@nardis.ca>  Thu, 10 Aug 2017 12:12:46 -0700

openldap (2.4.44+dfsg-5~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Ryan Tandy <ryan@nardis.ca>  Sat, 10 Jun 2017 14:24:03 -0700

openldap (2.4.44+dfsg-5) unstable; urgency=medium

  * debian/patches/ITS-8644-wait-for-slapd-to-start-in-test064.patch: Fix an 
    intermittently failing test by waiting for slapd to start before running 
    tests. (ITS#8644) (Closes: #770890)
  * debian/patches/ITS-8655-paged-results-double-free.patch: Fix a double free 
    in the MDB backend on a search including the Paged Results control with a 
    page size of 0. (ITS#8655) (CVE-2017-9287) (Closes: #863563)

 -- Ryan Tandy <ryan@nardis.ca>  Sun, 28 May 2017 09:59:46 -0700

openldap (2.4.44+dfsg-4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Ryan Tandy <ryan@nardis.ca>  Mon, 24 Apr 2017 19:07:38 -0700

openldap (2.4.44+dfsg-4) unstable; urgency=medium

  * Improve the slapd/ppolicy_schema_needs_update debconf template. Thanks to 
    Justin B Rye for the review.
  * Update Catalan debconf translation. (Closes: #851905)
    Thanks to Innocent De Marchi.
  * Update Czech debconf translation. (Closes: #852190)
    Thanks to Miroslav Kure.
  * Update Danish debconf translation. (Closes: #850859)
    Thanks to Joe Dalton.
  * Update German debconf translation. (Closes: #851480)
    Thanks to Helge Kreutzmann.
  * Update Basque debconf translation. (Closes: #850812)
    Thanks to Iñaki Larrañaga Murgoitio.
  * Update French debconf translation. (Closes: #852459)
    Thanks to Jean-Pierre Giraud.
  * Update Italian debconf translation. (Closes: #852074)
    Thanks to Luca Monducci.
  * Update Japanese debconf translation. (Closes: #851457)
    Thanks to Kenshi Muto.
  * Update Dutch debconf translation. (Closes: #852405)
    Thanks to Frans Spiesschaert.
  * Update Brazilian Portuguese debconf translation. (Closes: #852443)
    Thanks to Adriano Rafael Gomes.
  * Update Russian debconf translation. (Closes: #850833)
    Thanks to Yuri Kozlov.
  * Update Slovak debconf translation. (Closes: #850796)
    Thanks to Ivan Masár.
  * Update Swedish debconf translation. (Closes: #851168)
    Thanks to Martin Bagge.
  * Update Turkish debconf translation. (Closes: #851470)
    Thanks to Atila KOÇ.
  * Update Vietnamese debconf translation.
    Thanks to Trần Ngọc Quân.
  * Update Build-Depends on debhelper to ensure shlibs files are installed at 
    the expected time during build. (Closes: #854158)
  * Update Portuguese debconf translation. (Closes: #859943)
    Thanks to Rui Branco and DebianPT.
  * Dump the configuration and databases to LDIF before removing slapd, so 
    that they are available if a newer version requiring migration is 
    installed later. (Closes: #665199)
  * When creating a new configuration with dpkg-reconfigure, back up the old 
    configuration before overwriting it.

 -- Ryan Tandy <ryan@nardis.ca>  Sun, 16 Apr 2017 20:10:43 -0700

openldap (2.4.44+dfsg-3) unstable; urgency=medium

  * Apply upstream patch to fix FTBFS on kFreeBSD. (Closes: #845394)
  * Restore heimdal support to the smbk5pwd overlay.

 -- Ryan Tandy <ryan@nardis.ca>  Sun, 01 Jan 2017 19:47:36 -0800

openldap (2.4.44+dfsg-2) unstable; urgency=medium

  [ Ryan Tandy ]
  * Update Standards-Version to 3.9.8; no changes required.
  * Enable dh_makeshlibs for libldap-2.4-2. Remove libldap-2.4-2.postinst, now 
    replaced by the automatic ldconfig trigger.
  * Don't execute slapd's override_dh_install when building only 
    arch-independent packages. (Closes: #845506)
  * Override lintian false positives on slapd.README.Debian, 
    slapd-smbk5pwd.postinst, and slapd-smbk5pwd triggering ldconfig.
  * Perform permissions changes in override_dh_fixperms instead of in 
    override_dh_install.
  * Remove manual chmod of schema files since dh_fixperms sets correct 
    permissions automatically.
  * Fix slapd-smbk5pwd failing to upgrade when there are no instances of the 
    overlay configured.

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass CC to make explicitly. (Closes: #839251)

 -- Ryan Tandy <ryan@nardis.ca>  Thu, 01 Dec 2016 19:40:20 -0800

openldap (2.4.44+dfsg-1) unstable; urgency=medium

  [ Ryan Tandy ]
  * New upstream release.
    - Fixed ppolicy not unlocking policy entry after initialization failure 
      (ITS#7537) (Closes: #702414)
  * Drop ITS8240-remove-obsolete-assert.patch, included upstream.
  * Update debian/schema/ppolicy.schema to add the pwdMaxRecordedFailure 
    attribute.
  * Update libldap-2.4-2.symbols with new ldap_build_*_req symbols.
  * Mark the build target in debian/rules as phony, since the upstream source 
    includes a build/ directory.
  * Correct the list of files to be cleaned for the pw-sha2 contrib module.
  * Fix a typo (slpad -> slapd) in the Catalan debconf translation.


=== debian/control ===
--- 
+++ 
@@ -1,38 +1,34 @@
 Source: openldap
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
 Uploaders: Roland Bauerschmidt <rb@debian.org>,
  Steve Langasek <vorlon@debian.org>,
  Torsten Landschoff <torsten@debian.org>,
  Matthijs Möhlmann <matthijs@cacholong.nl>,
  Timo Aaltonen <tjaalton@ubuntu.com>,
  Ryan Tandy <ryan@nardis.ca>
-Build-Depends: debhelper (>= 9.20141010),
-               dh-apparmor,
+Build-Depends: debhelper (>= 9.20150501),
                dh-autoreconf,
                dpkg-dev (>= 1.17.14),
                groff-base,
-               heimdal-dev <!stage1>,
+               heimdal-multidev <!stage1>,
                libdb5.3-dev <!stage1>,
                libgnutls28-dev,
                libltdl-dev <!stage1>,
                libperl-dev (>= 5.8.0) <!stage1>,
                libsasl2-dev,
-               libslp-dev <!stage1>,
                libwrap0-dev <!stage1>,
-               lsb-release,
                nettle-dev <!stage1>,
                perl:any,
                po-debconf,
                time <!stage1>,
                unixodbc-dev <!stage1>
 Build-Conflicts: libbind-dev, bind-dev, libicu-dev, autoconf2.13
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.openldap.org/
-Vcs-Git: git://anonscm.debian.org/pkg-openldap/openldap.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-openldap/openldap.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-openldap/openldap.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-openldap/openldap.git
 
 Package: slapd
 Section: net
@@ -44,7 +40,7 @@
  coreutils (>= 4.5.1-1), psmisc, perl (>> 5.8.0) | libmime-base64-perl,
  adduser, lsb-base (>= 3.2-13), ${misc:Depends}
 Recommends: libsasl2-modules
-Suggests: ldap-utils, ufw,
+Suggests: ldap-utils,
  libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
 Conflicts: umich-ldapd, ldap-server, libltdl3 (= 1.5.4-1)
 Replaces: libldap2, ldap-utils (<< 2.2.23-3)
@@ -89,11 +85,22 @@
 Multi-Arch: same
 Conflicts: ldap-utils (<= 2.1.23-1)
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libldap-common (>= ${source:Version})
 Replaces: libldap2, libldap-2.3-0
 Description: OpenLDAP libraries 
  These are the run-time libraries for the OpenLDAP (Lightweight Directory
  Access Protocol) servers and clients.
+
+Package: libldap-common
+Section: libs
+Priority: standard
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Replaces: libldap-2.4-2 (<< 2.4.44+dfsg-1)
+Description: OpenLDAP common files for libraries
+ These are common files for the run-time libraries for the OpenLDAP
+ (Lightweight Directory Access Protocol) servers and clients.
 
 Package: libldap-2.4-2-dbg
 Section: debug

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,7 @@
 # want the checks for DFSG-freeness.
 #DFSG_NONFREE = 1
 
-export DEB_CFLAGS_MAINT_APPEND := -Wall -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DLDAP_CONNECTIONLESS -I/usr/include/heimdal
-export DEB_LDFLAGS_MAINT_APPEND := -L/usr/lib/$(DEB_HOST_MULTIARCH)/heimdal
+export DEB_CFLAGS_MAINT_APPEND := -Wall -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE
 export DEB_BUILD_MAINT_OPTIONS := hardening=+pie,+bindnow
 
 # Workaround for bad glibc behavior when resolving localhost
@@ -14,14 +13,14 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 CONFIG		= $(shell grep -v "^\#" debian/configure.options)
 ifeq ($(DEB_HOST_ARCH_OS),hurd)
 	CONFIG += --disable-bdb --disable-hdb --disable-mdb
 endif
 ifneq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
-	# --disable-slapd should imply --disable-slp, ITS#8224
-	CONFIG += --disable-slapd --disable-slp
+	CONFIG += --disable-slapd
 endif
 
 # Ensure CC is set correctly for cross builds, unless it has already 
@@ -62,8 +61,12 @@
 	rm -r openldap-$(VERSION)+dfsg
 	gzip -9 openldap_$(VERSION)+dfsg.orig.tar
 
+DH = dh $@ --with autoreconf --builddirectory=$(builddir) --parallel
+.PHONY: build
+build:
+	$(DH)
 %:
-	dh $@ --with autoreconf --builddirectory=$(builddir) --parallel
+	$(DH)
 
 # Only contrib/ldapc++ uses Automake, so special care is needed to update
 # config.guess and config.sub at the top level.
@@ -100,18 +103,23 @@
 override_dh_auto_build:
 	dh_auto_build -- $(MAKEVARS)
 ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
-	$(MAKE) -C contrib/slapd-modules/smbk5pwd
-	$(MAKE) -C contrib/slapd-modules/nssov/ $(MAKEVARS) nssov.la
-	$(MAKE) -C contrib/slapd-modules/autogroup
-	$(MAKE) -C contrib/slapd-modules/lastbind
-	$(MAKE) -C contrib/slapd-modules/passwd/sha2
-endif
+	$(MAKE) -C contrib/slapd-modules/smbk5pwd CC=$(CC)
+	$(MAKE) -C contrib/slapd-modules/autogroup CC=$(CC)
+	$(MAKE) -C contrib/slapd-modules/lastbind CC=$(CC)
+	$(MAKE) -C contrib/slapd-modules/passwd/sha2 CC=$(CC)
+endif
+
+override_dh_auto_test:
+ifeq ($(DEB_HOST_ARCH),ppc64el)
+	# Disable test060-mt-host on ppc64el until #866122 is fixed.
+	rm -f tests/scripts/test060-mt-hot
+endif
+	dh_auto_test
 
 override_dh_auto_install:
 	dh_auto_install -- $(MAKEVARS)
 ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 	$(MAKE) -C contrib/slapd-modules/smbk5pwd install DESTDIR=$(installdir)
-	$(MAKE) -C contrib/slapd-modules/nssov install DESTDIR=$(installdir)
 	$(MAKE) -C contrib/slapd-modules/autogroup install DESTDIR=$(installdir)
 	$(MAKE) -C contrib/slapd-modules/lastbind install DESTDIR=$(installdir)
 	$(MAKE) -C contrib/slapd-modules/passwd/sha2 install DESTDIR=$(installdir)
@@ -137,26 +145,15 @@
 	    fi; \
 	done
 
-	# Upstream installs schema files in mode 0444 - policy wants 0644
-	find $(installdir)/etc -type f|xargs chmod 0644
 	# Upstream manpages are section 8C but installed as section 8
 	find $(installdir)/usr/share/man -name \*.8 \
 		| xargs perl -pi -e 's#(\.TH \w+ 8)C#$$1#'
 
 ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
-override_dh_install:
+override_dh_install-arch:
 	dh_install
 	rm -rf $(CURDIR)/debian/slapd/usr/lib/ldap/smbk5pwd*
-	chmod 0755 $(CURDIR)/debian/slapd/usr/share/slapd/ldiftopasswd
-endif
-
-	# install AppArmor profile
-	install -D -m 644 $(CURDIR)/debian/apparmor-profile $(CURDIR)/debian/slapd/etc/apparmor.d/usr.sbin.slapd
-
-	# install ufw profile
-	install -D -m 644 $(CURDIR)/debian/slapd.ufw.profile $(CURDIR)/debian/slapd/etc/ufw/applications.d/slapd
-
-	dh_apparmor -pslapd --profile-name=usr.sbin.slapd
+endif
 
 override_dh_installinit:
 	dh_installinit -- "defaults 19 80"
@@ -165,6 +162,10 @@
 override_dh_installman:
 	dh_installman
 	rm -f $(CURDIR)/debian/slapd/usr/share/man/man5/slapo-smbk5pwd.*
+
+override_dh_fixperms-arch:
+	dh_fixperms
+	chmod +x $(CURDIR)/debian/slapd/usr/share/slapd/ldiftopasswd
 endif
 
 override_dh_strip:
@@ -189,13 +190,6 @@
 	dh_link
 
 override_dh_makeshlibs:
-	# ideally we would do this and not have any libldap-2.4.so.2 links
-	# at all, but that requires adjusting the build scripts first to
-	# link against libldap_r, otherwise dh_shlibdeps fails
-	#dh_makeshlibs -plibldap-2.4-2 -V 'libldap-2.4-2 (>= 2.4.7)'
-	mkdir -p debian/libldap-2.4-2/DEBIAN
-	cp -p debian/libldap-2.4-2.shlibs debian/libldap-2.4-2/DEBIAN/shlibs
-	dpkg-gensymbols -plibldap-2.4-2 -Pdebian/libldap-2.4-2
 ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 	echo "slapd:Provides=$$(objdump -p debian/slapd/usr/lib/$(DEB_HOST_MULTIARCH)/libslapi-*.so.* \
 		| sed -ne '/SONAME/ { s/[[:space:]]*SONAME[[:space:]]*//; \
@@ -203,7 +197,30 @@
 	)" >> debian/slapd.substvars
 	dh_makeshlibs -pslapd -X/usr/lib/ldap/ -V "$$(sed -ne's/slapd:Provides=//p' debian/slapd.substvars)"
 endif
+	dh_makeshlibs --remaining-packages
 
 ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 override_dh_installdeb:
 	dh_installdeb
+	perl -w debian/dh_installscripts-common -p slapd
+endif
+
+override_dh_auto_clean:
+	dh_auto_clean
+	# Update translation templates for debconf
+	debconf-updatepo
+ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
+	# Remove our stripped schema from the upstream source area.
+	if [ -z "$(DFSG_NONFREE)" ]; then \
+	    set -e; for s in debian/schema/*.schema debian/schema/*.ldif; do \
+	        rm -f servers/slapd/schema/`basename $$s`; \
+	    done; \
+	fi
+
+	# Clean the contrib directory
+	rm -rf contrib/slapd-modules/smbk5pwd/.libs \
+		contrib/slapd-modules/smbk5pwd/smbk5pwd.lo \
+		contrib/slapd-modules/smbk5pwd/smbk5pwd.la \
+		contrib/slapd-modules/smbk5pwd/smbk5pwd.o
+	rm -rf contrib/slapd-modules/autogroup/.libs \
+		contrib/slapd-modules/autogroup/autogroup.lo \
